myapps:
  storage:
    root: /data/obpm-demo
  siteid:

server:
  port: 8094
  servlet:
    context-path: ${myapps.siteid}/obpm
    session:
      timeout: 3600


spring:
  datasource:
    url: jdbc:mysql://10.100.146.2:3368/obpm2?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: jinzhongin
    password: YVPQRhwUQhhz
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
  cloud:
    consul:
      discovery:
        enabled: true
        heartbeat:
          enabled: true
      host: 10.100.146.1
      port: 1500
  redis:
    host: 10.100.146.3
    port: 6379
    password: Eewu4mkVGD3d
    lettuce: # redis连接池配置
      pool:
        max-active: 30 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
  jpa:
    database: mysql
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        default_schema:
  kafka:
    bootstrap-servers: 10.100.146.2:9092
    consumer:
      auto-offset-reset: earliest
      enable-auto-commit: false
      group-id: v5-cache-consumer
      fetch-max-wait: 1s
      fetch-min-size: 512B
    admin:
      fail-fast: true
    listener:
      ack-mode: manual_immediate
      concurrency: 11
    retry:
      topic:
        delay: 2
        attempts: 5

logging:
  config: classpath:log4j2.xml